package com.bocloud.ims.interfaces.resource.database;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.middleware.RdsPublicCloudInstanceParameterGroup;

/**
 * @author lyy
 * @version 1.0
 * @date 2021/5/26 16:30
 */
public interface RdsPublicCloudInstanceParamGroupService {
    BocloudResult list(Pager pager);

    BocloudResult detail(Long id);

    BocloudResult create(RdsPublicCloudInstanceParameterGroup group, RequestContext context);

    BocloudResult modify(RdsPublicCloudInstanceParameterGroup group, RequestContext context);

    BocloudResult delete(Long id, RequestContext context);

}
